## GtkSourceGutterRendererText

GtkSourceGutterRendererText — Renders text in the gutter

## Functions

GtkSourceGutterRenderer * | gtk_source_gutter_renderer_text_new ()
void | gtk_source_gutter_renderer_text_set_markup ()
void | gtk_source_gutter_renderer_text_set_text ()
void | gtk_source_gutter_renderer_text_measure ()
void | gtk_source_gutter_renderer_text_measure_markup ()

## Properties

gchar * | markup | Read / Write / Construct
gchar * | text | Read / Write / Construct

## Types and Values

| GtkSourceGutterRendererText

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkSourceGutterRenderer
                ╰── GtkSourceGutterRendererText

## Includes

    #include <gtksourceview/gtksource.h>

## Description

A GtkSourceGutterRendererText can be used to render text in a cell of GtkSourceGutter.

## Functions

### gtk_source_gutter_renderer_text_new ()

    GtkSourceGutterRenderer *
    gtk_source_gutter_renderer_text_new (void);

Create a new GtkSourceGutterRendererText.

#### Returns

A GtkSourceGutterRenderer.

[transfer full]

### gtk_source_gutter_renderer_text_set_markup ()

    void
    gtk_source_gutter_renderer_text_set_markup
                                   (GtkSourceGutterRendererText *renderer,
                                    const gchar *markup,
                                    gint length);

### gtk_source_gutter_renderer_text_set_text ()

    void
    gtk_source_gutter_renderer_text_set_text
                                   (GtkSourceGutterRendererText *renderer,
                                    const gchar *text,
                                    gint length);

### gtk_source_gutter_renderer_text_measure ()

    void
    gtk_source_gutter_renderer_text_measure
                                   (GtkSourceGutterRendererText *renderer,
                                    const gchar *text,
                                    gint *width,
                                    gint *height);

### gtk_source_gutter_renderer_text_measure_markup ()

    void
    gtk_source_gutter_renderer_text_measure_markup
                                   (GtkSourceGutterRendererText *renderer,
                                    const gchar *markup,
                                    gint *width,
                                    gint *height);

## Types and Values

### GtkSourceGutterRendererText

    typedef struct _GtkSourceGutterRendererText GtkSourceGutterRendererText;

## Property Details

### The `“markup”` property

      “markup”                   gchar *

The markup.

Flags: Read / Write / Construct

Default value: NULL

### The `“text”` property

      “text”                     gchar *

The text.

Flags: Read / Write / Construct

Default value: NULL

## See Also

GtkSourceGutterRenderer, GtkSourceGutter